__gnu_parallel::__max_element_reduct< _Compare, _It >(3cxx)

NAME
__gnu_parallel::__max_element_reduct< _Compare, _It > - Reduction for finding the maximum element, using a comparator.

SYNOPSIS

  Public Member Functions

__max_element_reduct (_Compare &__c)
_It operator() (_It __x, _It __y)

  Public Attributes

_Compare & __comp

Detailed Description

  template<typename _Compare, typename _It>
struct __gnu_parallel::__max_element_reduct< _Compare, _It >" Reduction for finding the maximum element, using a comparator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.